#!/bin/bash
#SBATCH --job-name=thermo_pw
#SBATCH --partition=batch
#SBATCH --nodes=1
#SBATCH --ntasks=8
#SBATCH --time=1:00:00

module load intel/2021.5.0-12.2.0 intel-oneapi-mpi/2021.9.0-stjyqgr
module load quantum-espresso/7.2-jnqwg4m

export ESPRESSO_PSEUDO=$HOME/pseudo

#CREATE PSEUDO DIRECTORY, IF IT DOES NOT EXIST
if [ ! -d "$HOME/pseudo" ];then mkdir $HOME/pseudo; fi

#CREATE TEMPDIR BUT DELETE IT, IF IT ALREADY EXISTS
if [ -d tempdir ]; then rm -rf tempdir; fi
mkdir tempdir

echo "Run starts :  `date +'%Y-%m-%d %H:%M:%S:%N '` "

time ./run_example &> output.log

echo "Run ends : `date +'%Y-%m-%d %H:%M:%S:%N '` "
